> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autotab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve



## OpenAPI

````yaml openapi/.openapi.json get /skill/{id}
openapi: 3.1.0
info:
  title: Autotab API
  description: AI that does your repetitive work end to end, with superhuman reliability.
  version: 0.0.2
servers:
  - url: https://api.autotab.com/v1
    description: Autotab API
security: []
paths:
  /skill/{id}:
    get:
      tags:
        - Skill
      summary: Retrieve
      operationId: retrieve_skill
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Skill'
                  - type: 'null'
                title: Response Retrieve Skill
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
      x-codeSamples:
        - lang: Python
          source: |
            import autotab
            from autotab.rest import ApiException


            client = autotab.Client(
                autotab.Configuration(
                    api_key = os.environ["AUTOTAB_API_KEY"]
                )
            )

            try:
                skill = await autotab.SkillApi(client).retrieve(
                    id="skill_923d8f38-be0d-4637-9fbe-46ec9cb48312"
                )
                print(f"skill: {skill.model_dump_json(indent=2)}")
            except ApiException as e:
                print(f"Exception: {e})
        - lang: Javascript
          source: |-
            import { Configuration, SkillApi } from 'autotab';

            const skillClient = new SkillApi(new Configuration({
                apiKey: process.env['AUTOTAB_API_KEY'],
            }));

            async function main() {
              const skill = await skillClient.retrieve({
                id: "skill_923d8f38-be0d-4637-9fbe-46ec9cb48312"
              });
              
              console.log("skill:", skill);
            }

            main();
components:
  schemas:
    Skill:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        owner:
          type: string
          title: Owner
        created_at:
          type: string
          format: date-time
          title: Created At
        last_modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Modified At
        inputs:
          items:
            $ref: '#/components/schemas/Input'
          type: array
          title: Inputs
          default: []
      type: object
      required:
        - id
        - name
        - owner
        - created_at
        - last_modified_at
      title: Skill
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Input:
      properties:
        json_key:
          type: string
          title: Json Key
        id:
          type: string
          title: Id
        data_type:
          $ref: '#/components/schemas/VariableDataType'
      type: object
      required:
        - json_key
        - id
        - data_type
      title: Input
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VariableDataType:
      type: string
      enum:
        - string
        - number
        - boolean
        - array
        - object
        - file
        - tab
        - ref
      title: VariableDataType
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Autotab API key
      scheme: bearer

````